package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 质量月报S4013对象 t_monthly_quality_report_s4013
 *
 * @author ruoyi
 * @date 2023-10-27
 */
public class TMonthlyQualityReportS4013 extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String locationName;

    /** 采样点 */
    @Excel(name = "采样点")
    private String samplePoint;

    /** 采样日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "采样日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sampleDate;

    /** 样品名称 */
    @Excel(name = "样品名称")
    private String sampleName;

    /** 乙烷 */
    @Excel(name = "乙烷")
    private String ethane;

    /** 甲烷和乙烷含量 */
    @Excel(name = "甲烷和乙烷含量")
    private String methaneEthane;

    /** 乙烯含量 */
    @Excel(name = "乙烯含量")
    private String ethylene;

    /** 乙炔含量 */
    @Excel(name = "乙炔含量")
    private String acetylene;

    /** 一氧化碳含量 */
    @Excel(name = "一氧化碳含量")
    private String carbonMonoxide;

    /** 二氧化碳含量 */
    @Excel(name = "二氧化碳含量")
    private String carbonDioxide;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setLocationName(String locationName)
    {
        this.locationName = locationName;
    }

    public String getLocationName()
    {
        return locationName;
    }
    public void setSamplePoint(String samplePoint)
    {
        this.samplePoint = samplePoint;
    }

    public String getSamplePoint()
    {
        return samplePoint;
    }
    public void setSampleDate(Date sampleDate)
    {
        this.sampleDate = sampleDate;
    }

    public Date getSampleDate()
    {
        return sampleDate;
    }
    public void setSampleName(String sampleName)
    {
        this.sampleName = sampleName;
    }

    public String getSampleName()
    {
        return sampleName;
    }
    public void setEthane(String ethane)
    {
        this.ethane = ethane;
    }

    public String getEthane()
    {
        return ethane;
    }
    public void setMethaneEthane(String methaneEthane)
    {
        this.methaneEthane = methaneEthane;
    }

    public String getMethaneEthane()
    {
        return methaneEthane;
    }
    public void setEthylene(String ethylene)
    {
        this.ethylene = ethylene;
    }

    public String getEthylene()
    {
        return ethylene;
    }
    public void setAcetylene(String acetylene)
    {
        this.acetylene = acetylene;
    }

    public String getAcetylene()
    {
        return acetylene;
    }
    public void setCarbonMonoxide(String carbonMonoxide)
    {
        this.carbonMonoxide = carbonMonoxide;
    }

    public String getCarbonMonoxide()
    {
        return carbonMonoxide;
    }
    public void setCarbonDioxide(String carbonDioxide)
    {
        this.carbonDioxide = carbonDioxide;
    }

    public String getCarbonDioxide()
    {
        return carbonDioxide;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("locationName", getLocationName())
            .append("samplePoint", getSamplePoint())
            .append("sampleDate", getSampleDate())
            .append("sampleName", getSampleName())
            .append("ethane", getEthane())
            .append("methaneEthane", getMethaneEthane())
            .append("ethylene", getEthylene())
            .append("acetylene", getAcetylene())
            .append("carbonMonoxide", getCarbonMonoxide())
            .append("carbonDioxide", getCarbonDioxide())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
